Package Details: jitsi 2.10.5550-11

Git Clone URL: https://aur.archlinux.org/jitsi.git (read-only, click to copy)
Package Base: jitsi
Description: An audio/video SIP VoIP phone and instant messenger written in Java (formerly SIP-Communicator)
Upstream URL: http://jitsi.org
Licenses: Apache
Submitter: psychedelicious
Maintainer: figue (figuepluto, jfigueras)
Last Packager: figuepluto
Votes: 357
Popularity: 3.67
First Submitted: 2011-05-11 11:22
Last Updated: 2020-05-26 19:08

Dependencies (3)

Required by (0)

Sources (3)

Pinned Comments

figue commented on 2020-04-06 21:54

@sachaz what's your Java default?

$ archlinux-java status
Available Java environments:
  java-11-openjdk
  java-13-openjdk
  java-14-jdk
  java-8-openjdk (default)

Try with java-8-openjdk

Latest Comments

« First ‹ Previous ... 17 18 19 20 21 22

psychedelicious commented on 2011-05-18 12:19

Updated to latest version and simplified the categories in the .desktop entry to stop it showing up in multiple submenus.

said commented on 2011-05-17 09:50

if you use jre you have to link it in /usr/bin:
ln -s /opt/java/bin/java /usr/bin/java

nem commented on 2011-05-13 15:19

so put jdk or openjdk into the makedepends!

z0id commented on 2011-05-11 12:55

Apparently, it's hardcoded to use openjdk. I installed it using openjdk, then reinstalled jre and linked /usr/bin/java to /opt/java/jre/bin/java.

psychedelicious commented on 2011-05-11 11:56

Yes, your java home is not correct. I use OpenJDK6 and I have:

JAVA_HOME=/usr/lib/jvm/java-6-openjdk

z0id commented on 2011-05-11 11:55

It fails with:

[javac] /tmp/yaourt-tmp-mihai/aur-jitsi/src/sip-communicator/build.xml:466: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds

BUILD FAILED
/tmp/yaourt-tmp-mihai/aur-jitsi/src/sip-communicator/build.xml:466: Unable to find a javac compiler;
com.sun.tools.javac.Main is not on the classpath.
Perhaps JAVA_HOME does not point to the JDK.
It is currently set to "/opt/java/jre"

Total time: 2 seconds

psychedelicious commented on 2011-05-11 11:23

This was formerly name Sip Communicator. I have modified the install directories and scripts to reference Jitsi now, e.g. /usr/lib/jitsi for the install directory. There is no final release yet but when a 1.0 version is released I will update the package. In the mean time you can download the latest nightly source code and update the sha256sum.